package com.ruoyi.project.demo.mapper;

import com.ruoyi.project.demo.domain.RecordEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * FileName: RecordMapper
 * DetailedDescription： 记录表数据访问层 （Mapper）
 *
 * @author cry
 * @version 1.00
 * @Date 2022-07-09
 */
@Mapper
public interface RecordMapper{

    /**
     * 查询
     *
     * @param recordEntity 实体类
     * @return
     */
    List<RecordEntity> getRecord(RecordEntity recordEntity);

    /**
     * 查询总条数
     *
     * @param recordEntity 实体类
     * @return
     */
    Integer getRecordCount(RecordEntity recordEntity);

    /**
     * 添加
     *
     * @param recordEntity 实体类
     * @return 是否成功
     */
    Integer insertRecord(RecordEntity recordEntity);

    /**
     * 修改
     *
     * @param recordEntity 实体类
     * @return 是否成功
     */
    Integer updateRecord(RecordEntity recordEntity);

    /**
     * 删除
     *
     * @param recordEntity 实体类
     * @return 是否成功
     */
    Integer removeRecord(RecordEntity recordEntity);
}
