/*
 Navicat Premium Data Transfer

 Source Server         : CRY
 Source Server Type    : MySQL
 Source Server Version : 50539
 Source Host           : localhost:3306
 Source Schema         : word

 Target Server Type    : MySQL
 Target Server Version : 50539
 File Encoding         : 65001

 Date: 16/07/2022 16:09:35
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作 sub主子表操作）',
  `package_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '代码生成业务表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of gen_table
-- ----------------------------

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------

-- ----------------------------
-- Table structure for record
-- ----------------------------
DROP TABLE IF EXISTS `record`;
CREATE TABLE `record`  (
  `id` int(6) NOT NULL AUTO_INCREMENT COMMENT '序号',
  `record_time` datetime NULL DEFAULT NULL COMMENT '记录时间',
  `old_word_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '原始word名称',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '原始备份word文件名称 存于d://files',
  `del` char(2) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '逻辑删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 20 CHARACTER SET = utf8 COLLATE = utf8_czech_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of record
-- ----------------------------
INSERT INTO `record` VALUES (1, '2022-07-09 18:45:22', '面试题.docx', '面试题_20220709184512A001.docx', '0');
INSERT INTO `record` VALUES (2, '2022-07-09 18:48:29', '面试题.docx', '面试题_20220709184823A001.docx', '0');
INSERT INTO `record` VALUES (3, '2022-07-09 18:50:08', '面试题.docx', '面试题_20220709184959A001.docx', '0');
INSERT INTO `record` VALUES (4, '2022-07-09 18:53:43', '面试题.docx', '面试题_20220709185336A001.docx', '0');
INSERT INTO `record` VALUES (5, '2022-07-09 18:57:25', '测试.docx', '测试_20220709185647A001.docx', '0');
INSERT INTO `record` VALUES (6, '2022-07-13 09:06:28', '测试.docx', '测试_20220713090437A001.docx', '0');
INSERT INTO `record` VALUES (7, '2022-07-13 09:08:42', '测试.docx', '测试_20220713090437A001.docx', '0');
INSERT INTO `record` VALUES (8, '2022-07-13 09:09:13', '测试.docx', '测试_20220713090437A001.docx', '0');
INSERT INTO `record` VALUES (9, '2022-07-13 09:09:50', '测试.docx', '测试_20220713090437A001.docx', '0');
INSERT INTO `record` VALUES (10, '2022-07-13 09:35:19', '测试.docx', '测试_20220713093502A001.docx', '0');
INSERT INTO `record` VALUES (11, '2022-07-13 09:57:04', '测试.docx', '测试_20220713095648A001.docx', '0');
INSERT INTO `record` VALUES (12, '2022-07-13 11:00:20', '123.docx', '123_20220713105943A007.docx', '0');
INSERT INTO `record` VALUES (13, '2022-07-13 11:00:34', '《临沂市总部机构招引激励政策（征求意见稿）》.docx', '《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx', '0');
INSERT INTO `record` VALUES (14, '2022-07-13 13:37:05', '《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx', '《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx', '0');
INSERT INTO `record` VALUES (15, '2022-07-13 13:43:52', '《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx', '《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx', '0');
INSERT INTO `record` VALUES (16, '2022-07-13 13:44:27', '《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx', '《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx', '0');
INSERT INTO `record` VALUES (17, '2022-07-13 13:44:46', '《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx', '《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx', '0');
INSERT INTO `record` VALUES (18, '2022-07-14 09:59:17', NULL, NULL, '0');
INSERT INTO `record` VALUES (19, '2022-07-14 10:00:40', NULL, NULL, '0');

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int(5) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '参数配置表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2022-07-08 10:04:26', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2022-07-08 10:04:26', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2022-07-08 10:04:26', '', NULL, '深黑主题theme-dark，浅色主题theme-light，深蓝主题theme-blue');
INSERT INTO `sys_config` VALUES (4, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2022-07-08 10:04:26', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '用户管理-密码字符范围', 'sys.account.chrtype', '0', 'Y', 'admin', '2022-07-08 10:04:26', '', NULL, '默认任意字符范围，0任意（密码可以输入任意字符），1数字（密码只能为0-9数字），2英文字母（密码只能为a-z和A-Z字母），3字母和数字（密码必须包含字母，数字）,4字母数字和特殊字符（目前支持的特殊字符包括：~!@#$%^&*()-=_+）');
INSERT INTO `sys_config` VALUES (6, '用户管理-初始密码修改策略', 'sys.account.initPasswordModify', '0', 'Y', 'admin', '2022-07-08 10:04:26', '', NULL, '0：初始密码修改策略关闭，没有任何提示，1：提醒用户，如果未修改初始密码，则在登录时就会提醒修改密码对话框');
INSERT INTO `sys_config` VALUES (7, '用户管理-账号密码更新周期', 'sys.account.passwordValidateDays', '0', 'Y', 'admin', '2022-07-08 10:04:26', '', NULL, '密码更新周期（填写数字，数据初始化值为0不限制，若修改必须为大于0小于365的正整数），如果超过这个周期登录系统时，则在登录时就会提醒修改密码对话框');
INSERT INTO `sys_config` VALUES (8, '主框架页-菜单导航显示风格', 'sys.index.menuStyle', 'default', 'Y', 'admin', '2022-07-08 10:04:26', '', NULL, '菜单导航显示风格（default为左侧导航菜单，topnav为顶部导航菜单）');
INSERT INTO `sys_config` VALUES (9, '主框架页-是否开启页脚', 'sys.index.footer', 'true', 'Y', 'admin', '2022-07-08 10:04:26', '', NULL, '是否开启底部页脚显示（true显示，false隐藏）');
INSERT INTO `sys_config` VALUES (10, '主框架页-是否开启页签', 'sys.index.tagsView', 'true', 'Y', 'admin', '2022-07-08 10:04:26', '', NULL, '是否开启菜单多页签显示（true显示，false隐藏）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 200 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '部门表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '若依科技', 0, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-08 10:04:26', '', NULL);
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '深圳总公司', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-08 10:04:26', '', NULL);
INSERT INTO `sys_dept` VALUES (102, 100, '0,100', '长沙分公司', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-08 10:04:26', '', NULL);
INSERT INTO `sys_dept` VALUES (103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-08 10:04:26', '', NULL);
INSERT INTO `sys_dept` VALUES (104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-08 10:04:26', '', NULL);
INSERT INTO `sys_dept` VALUES (105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-08 10:04:26', '', NULL);
INSERT INTO `sys_dept` VALUES (106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-08 10:04:26', '', NULL);
INSERT INTO `sys_dept` VALUES (107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-08 10:04:26', '', NULL);
INSERT INTO `sys_dept` VALUES (108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-08 10:04:26', '', NULL);
INSERT INTO `sys_dept` VALUES (109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-08 10:04:26', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(4) NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '字典数据表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '停用状态');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '字典类型表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '登录状态列表');

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '定时任务调度表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2022-07-08 10:04:26', '', NULL, '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `login_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '登录账号',
  `ipaddr` varchar(128) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 339 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '系统访问记录' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO `sys_logininfor` VALUES (100, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '密码输入错误1次', '2022-07-08 10:05:34');
INSERT INTO `sys_logininfor` VALUES (101, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '密码输入错误2次', '2022-07-08 10:06:01');
INSERT INTO `sys_logininfor` VALUES (102, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '密码输入错误3次', '2022-07-08 10:06:04');
INSERT INTO `sys_logininfor` VALUES (103, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '用户不存在/密码错误', '2022-07-08 10:06:58');
INSERT INTO `sys_logininfor` VALUES (104, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '密码输入错误1次', '2022-07-08 10:10:22');
INSERT INTO `sys_logininfor` VALUES (105, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '密码输入错误2次', '2022-07-08 10:10:22');
INSERT INTO `sys_logininfor` VALUES (106, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '验证码错误', '2022-07-08 10:10:24');
INSERT INTO `sys_logininfor` VALUES (107, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '验证码错误', '2022-07-08 10:10:24');
INSERT INTO `sys_logininfor` VALUES (108, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '验证码错误', '2022-07-08 10:10:24');
INSERT INTO `sys_logininfor` VALUES (109, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '验证码错误', '2022-07-08 10:10:24');
INSERT INTO `sys_logininfor` VALUES (110, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '密码输入错误4次', '2022-07-08 10:10:31');
INSERT INTO `sys_logininfor` VALUES (111, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '密码输入错误3次', '2022-07-08 10:10:31');
INSERT INTO `sys_logininfor` VALUES (112, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '密码输入错误5次', '2022-07-08 10:14:27');
INSERT INTO `sys_logininfor` VALUES (113, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '密码输入错误5次，帐户锁定10分钟', '2022-07-08 10:14:27');
INSERT INTO `sys_logininfor` VALUES (114, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 10:20:13');
INSERT INTO `sys_logininfor` VALUES (115, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '退出成功', '2022-07-08 10:20:37');
INSERT INTO `sys_logininfor` VALUES (116, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '验证码错误', '2022-07-08 10:20:41');
INSERT INTO `sys_logininfor` VALUES (117, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 10:20:44');
INSERT INTO `sys_logininfor` VALUES (118, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '验证码错误', '2022-07-08 10:22:12');
INSERT INTO `sys_logininfor` VALUES (119, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '验证码错误', '2022-07-08 10:23:53');
INSERT INTO `sys_logininfor` VALUES (120, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '验证码错误', '2022-07-08 10:59:24');
INSERT INTO `sys_logininfor` VALUES (121, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:01:49');
INSERT INTO `sys_logininfor` VALUES (122, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:01:51');
INSERT INTO `sys_logininfor` VALUES (123, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:03:27');
INSERT INTO `sys_logininfor` VALUES (124, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:03:59');
INSERT INTO `sys_logininfor` VALUES (125, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:05:36');
INSERT INTO `sys_logininfor` VALUES (126, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '退出成功', '2022-07-08 11:13:03');
INSERT INTO `sys_logininfor` VALUES (127, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:13:03');
INSERT INTO `sys_logininfor` VALUES (128, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '退出成功', '2022-07-08 11:13:05');
INSERT INTO `sys_logininfor` VALUES (129, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:13:05');
INSERT INTO `sys_logininfor` VALUES (130, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '退出成功', '2022-07-08 11:13:07');
INSERT INTO `sys_logininfor` VALUES (131, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:13:07');
INSERT INTO `sys_logininfor` VALUES (132, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:15:28');
INSERT INTO `sys_logininfor` VALUES (133, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:17:28');
INSERT INTO `sys_logininfor` VALUES (134, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:17:34');
INSERT INTO `sys_logininfor` VALUES (135, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '退出成功', '2022-07-08 11:17:46');
INSERT INTO `sys_logininfor` VALUES (136, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:17:46');
INSERT INTO `sys_logininfor` VALUES (137, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:19:55');
INSERT INTO `sys_logininfor` VALUES (138, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:20:39');
INSERT INTO `sys_logininfor` VALUES (139, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:20:48');
INSERT INTO `sys_logininfor` VALUES (140, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:20:56');
INSERT INTO `sys_logininfor` VALUES (141, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:21:30');
INSERT INTO `sys_logininfor` VALUES (142, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:23:28');
INSERT INTO `sys_logininfor` VALUES (143, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:23:32');
INSERT INTO `sys_logininfor` VALUES (144, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:23:59');
INSERT INTO `sys_logininfor` VALUES (145, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:24:04');
INSERT INTO `sys_logininfor` VALUES (146, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:29:53');
INSERT INTO `sys_logininfor` VALUES (147, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:33:17');
INSERT INTO `sys_logininfor` VALUES (148, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:33:25');
INSERT INTO `sys_logininfor` VALUES (149, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:33:28');
INSERT INTO `sys_logininfor` VALUES (150, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:35:27');
INSERT INTO `sys_logininfor` VALUES (151, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:36:39');
INSERT INTO `sys_logininfor` VALUES (152, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 11:50:40');
INSERT INTO `sys_logininfor` VALUES (153, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 12:39:52');
INSERT INTO `sys_logininfor` VALUES (154, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 12:54:19');
INSERT INTO `sys_logininfor` VALUES (155, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 12:54:19');
INSERT INTO `sys_logininfor` VALUES (156, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 12:57:13');
INSERT INTO `sys_logininfor` VALUES (157, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 13:00:37');
INSERT INTO `sys_logininfor` VALUES (158, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 13:26:02');
INSERT INTO `sys_logininfor` VALUES (159, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 13:26:47');
INSERT INTO `sys_logininfor` VALUES (160, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 13:29:14');
INSERT INTO `sys_logininfor` VALUES (161, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 13:30:42');
INSERT INTO `sys_logininfor` VALUES (162, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 13:31:34');
INSERT INTO `sys_logininfor` VALUES (163, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 13:35:25');
INSERT INTO `sys_logininfor` VALUES (164, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 13:37:18');
INSERT INTO `sys_logininfor` VALUES (165, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 13:38:39');
INSERT INTO `sys_logininfor` VALUES (166, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 13:43:37');
INSERT INTO `sys_logininfor` VALUES (167, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 13:57:24');
INSERT INTO `sys_logininfor` VALUES (168, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:05:18');
INSERT INTO `sys_logininfor` VALUES (169, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:10:46');
INSERT INTO `sys_logininfor` VALUES (170, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:11:41');
INSERT INTO `sys_logininfor` VALUES (171, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:12:19');
INSERT INTO `sys_logininfor` VALUES (172, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:14:24');
INSERT INTO `sys_logininfor` VALUES (173, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:21:41');
INSERT INTO `sys_logininfor` VALUES (174, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:25:55');
INSERT INTO `sys_logininfor` VALUES (175, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:28:07');
INSERT INTO `sys_logininfor` VALUES (176, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:30:01');
INSERT INTO `sys_logininfor` VALUES (177, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:31:07');
INSERT INTO `sys_logininfor` VALUES (178, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:35:13');
INSERT INTO `sys_logininfor` VALUES (179, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:36:33');
INSERT INTO `sys_logininfor` VALUES (180, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:37:23');
INSERT INTO `sys_logininfor` VALUES (181, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:41:47');
INSERT INTO `sys_logininfor` VALUES (182, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:42:58');
INSERT INTO `sys_logininfor` VALUES (183, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:44:48');
INSERT INTO `sys_logininfor` VALUES (184, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:50:45');
INSERT INTO `sys_logininfor` VALUES (185, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:54:00');
INSERT INTO `sys_logininfor` VALUES (186, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:54:26');
INSERT INTO `sys_logininfor` VALUES (187, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 14:56:40');
INSERT INTO `sys_logininfor` VALUES (188, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 15:01:58');
INSERT INTO `sys_logininfor` VALUES (189, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 15:37:31');
INSERT INTO `sys_logininfor` VALUES (190, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 15:44:38');
INSERT INTO `sys_logininfor` VALUES (191, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 15:46:49');
INSERT INTO `sys_logininfor` VALUES (192, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 15:49:45');
INSERT INTO `sys_logininfor` VALUES (193, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 15:50:31');
INSERT INTO `sys_logininfor` VALUES (194, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 15:51:33');
INSERT INTO `sys_logininfor` VALUES (195, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 16:38:01');
INSERT INTO `sys_logininfor` VALUES (196, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 16:38:02');
INSERT INTO `sys_logininfor` VALUES (197, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 16:39:31');
INSERT INTO `sys_logininfor` VALUES (198, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 16:40:43');
INSERT INTO `sys_logininfor` VALUES (199, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 16:47:03');
INSERT INTO `sys_logininfor` VALUES (200, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 16:49:21');
INSERT INTO `sys_logininfor` VALUES (201, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 19:19:21');
INSERT INTO `sys_logininfor` VALUES (202, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 19:25:35');
INSERT INTO `sys_logininfor` VALUES (203, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 19:26:43');
INSERT INTO `sys_logininfor` VALUES (204, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 19:38:26');
INSERT INTO `sys_logininfor` VALUES (205, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 19:39:16');
INSERT INTO `sys_logininfor` VALUES (206, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 19:40:03');
INSERT INTO `sys_logininfor` VALUES (207, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 19:41:24');
INSERT INTO `sys_logininfor` VALUES (208, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 19:45:01');
INSERT INTO `sys_logininfor` VALUES (209, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 19:45:58');
INSERT INTO `sys_logininfor` VALUES (210, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 19:47:51');
INSERT INTO `sys_logininfor` VALUES (211, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 20:11:27');
INSERT INTO `sys_logininfor` VALUES (212, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 20:13:51');
INSERT INTO `sys_logininfor` VALUES (213, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 20:16:29');
INSERT INTO `sys_logininfor` VALUES (214, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 20:23:56');
INSERT INTO `sys_logininfor` VALUES (215, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 20:26:13');
INSERT INTO `sys_logininfor` VALUES (216, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 20:32:11');
INSERT INTO `sys_logininfor` VALUES (217, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 20:33:01');
INSERT INTO `sys_logininfor` VALUES (218, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 20:34:22');
INSERT INTO `sys_logininfor` VALUES (219, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 20:36:30');
INSERT INTO `sys_logininfor` VALUES (220, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 22:08:46');
INSERT INTO `sys_logininfor` VALUES (221, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 22:10:39');
INSERT INTO `sys_logininfor` VALUES (222, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 22:12:06');
INSERT INTO `sys_logininfor` VALUES (223, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 22:29:22');
INSERT INTO `sys_logininfor` VALUES (224, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 22:33:17');
INSERT INTO `sys_logininfor` VALUES (225, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 22:35:14');
INSERT INTO `sys_logininfor` VALUES (226, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 22:38:40');
INSERT INTO `sys_logininfor` VALUES (227, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 22:50:51');
INSERT INTO `sys_logininfor` VALUES (228, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 22:52:32');
INSERT INTO `sys_logininfor` VALUES (229, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 22:54:18');
INSERT INTO `sys_logininfor` VALUES (230, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 22:56:17');
INSERT INTO `sys_logininfor` VALUES (231, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 23:05:00');
INSERT INTO `sys_logininfor` VALUES (232, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 23:27:19');
INSERT INTO `sys_logininfor` VALUES (233, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 23:29:34');
INSERT INTO `sys_logininfor` VALUES (234, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 23:42:11');
INSERT INTO `sys_logininfor` VALUES (235, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 23:45:30');
INSERT INTO `sys_logininfor` VALUES (236, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-08 23:54:46');
INSERT INTO `sys_logininfor` VALUES (237, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 00:08:36');
INSERT INTO `sys_logininfor` VALUES (238, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 00:16:31');
INSERT INTO `sys_logininfor` VALUES (239, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 00:19:52');
INSERT INTO `sys_logininfor` VALUES (240, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 00:21:24');
INSERT INTO `sys_logininfor` VALUES (241, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 00:24:46');
INSERT INTO `sys_logininfor` VALUES (242, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 11:16:59');
INSERT INTO `sys_logininfor` VALUES (243, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 15:46:01');
INSERT INTO `sys_logininfor` VALUES (244, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 15:48:42');
INSERT INTO `sys_logininfor` VALUES (245, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 15:52:36');
INSERT INTO `sys_logininfor` VALUES (246, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 16:05:18');
INSERT INTO `sys_logininfor` VALUES (247, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '验证码错误', '2022-07-09 16:17:50');
INSERT INTO `sys_logininfor` VALUES (248, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '验证码错误', '2022-07-09 16:18:10');
INSERT INTO `sys_logininfor` VALUES (249, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '验证码错误', '2022-07-09 16:18:11');
INSERT INTO `sys_logininfor` VALUES (250, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '验证码错误', '2022-07-09 16:18:12');
INSERT INTO `sys_logininfor` VALUES (251, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 16:24:02');
INSERT INTO `sys_logininfor` VALUES (252, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 16:25:41');
INSERT INTO `sys_logininfor` VALUES (253, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 16:32:21');
INSERT INTO `sys_logininfor` VALUES (254, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 16:50:58');
INSERT INTO `sys_logininfor` VALUES (255, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 17:03:03');
INSERT INTO `sys_logininfor` VALUES (256, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 17:05:04');
INSERT INTO `sys_logininfor` VALUES (257, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 17:07:23');
INSERT INTO `sys_logininfor` VALUES (258, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 17:08:53');
INSERT INTO `sys_logininfor` VALUES (259, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 17:22:51');
INSERT INTO `sys_logininfor` VALUES (260, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 17:31:05');
INSERT INTO `sys_logininfor` VALUES (261, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 17:31:51');
INSERT INTO `sys_logininfor` VALUES (262, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 17:36:03');
INSERT INTO `sys_logininfor` VALUES (263, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 17:48:44');
INSERT INTO `sys_logininfor` VALUES (264, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 17:52:23');
INSERT INTO `sys_logininfor` VALUES (265, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 17:57:01');
INSERT INTO `sys_logininfor` VALUES (266, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 17:58:37');
INSERT INTO `sys_logininfor` VALUES (267, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:21:51');
INSERT INTO `sys_logininfor` VALUES (268, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:25:52');
INSERT INTO `sys_logininfor` VALUES (269, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:29:37');
INSERT INTO `sys_logininfor` VALUES (270, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:33:23');
INSERT INTO `sys_logininfor` VALUES (271, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:34:03');
INSERT INTO `sys_logininfor` VALUES (272, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:36:25');
INSERT INTO `sys_logininfor` VALUES (273, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:37:48');
INSERT INTO `sys_logininfor` VALUES (274, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:39:48');
INSERT INTO `sys_logininfor` VALUES (275, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:41:26');
INSERT INTO `sys_logininfor` VALUES (276, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:43:03');
INSERT INTO `sys_logininfor` VALUES (277, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:45:06');
INSERT INTO `sys_logininfor` VALUES (278, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:48:16');
INSERT INTO `sys_logininfor` VALUES (279, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:49:49');
INSERT INTO `sys_logininfor` VALUES (280, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:53:29');
INSERT INTO `sys_logininfor` VALUES (281, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 18:56:39');
INSERT INTO `sys_logininfor` VALUES (282, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-09 22:14:59');
INSERT INTO `sys_logininfor` VALUES (283, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 09:03:54');
INSERT INTO `sys_logininfor` VALUES (284, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 09:11:43');
INSERT INTO `sys_logininfor` VALUES (285, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 09:38:57');
INSERT INTO `sys_logininfor` VALUES (286, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 09:46:10');
INSERT INTO `sys_logininfor` VALUES (287, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 09:48:06');
INSERT INTO `sys_logininfor` VALUES (288, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 09:49:15');
INSERT INTO `sys_logininfor` VALUES (289, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 09:55:11');
INSERT INTO `sys_logininfor` VALUES (290, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 10:07:03');
INSERT INTO `sys_logininfor` VALUES (291, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 10:10:08');
INSERT INTO `sys_logininfor` VALUES (292, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 10:12:05');
INSERT INTO `sys_logininfor` VALUES (293, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 10:15:48');
INSERT INTO `sys_logininfor` VALUES (294, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 10:18:02');
INSERT INTO `sys_logininfor` VALUES (295, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 10:20:44');
INSERT INTO `sys_logininfor` VALUES (296, 'admin', '127.0.0.1', '内网IP', 'Chrome Mobile', 'Android 1.x', '0', '登录成功', '2022-07-13 10:21:43');
INSERT INTO `sys_logininfor` VALUES (297, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 10:22:34');
INSERT INTO `sys_logininfor` VALUES (298, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 10:22:40');
INSERT INTO `sys_logininfor` VALUES (299, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 10:23:05');
INSERT INTO `sys_logininfor` VALUES (300, 'admin', '127.0.0.1', '内网IP', 'Chrome Mobile', 'Android 1.x', '0', '登录成功', '2022-07-13 10:29:07');
INSERT INTO `sys_logininfor` VALUES (301, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 10:36:26');
INSERT INTO `sys_logininfor` VALUES (302, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 7', '0', '登录成功', '2022-07-13 10:41:31');
INSERT INTO `sys_logininfor` VALUES (303, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 10:43:41');
INSERT INTO `sys_logininfor` VALUES (304, 'admin', '127.0.0.1', '内网IP', 'Chrome Mobile', 'Android 1.x', '0', '登录成功', '2022-07-13 10:44:58');
INSERT INTO `sys_logininfor` VALUES (305, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 10:45:19');
INSERT INTO `sys_logininfor` VALUES (306, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 7', '0', '登录成功', '2022-07-13 10:59:08');
INSERT INTO `sys_logininfor` VALUES (307, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 11:09:58');
INSERT INTO `sys_logininfor` VALUES (308, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 11:16:51');
INSERT INTO `sys_logininfor` VALUES (309, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 11:31:37');
INSERT INTO `sys_logininfor` VALUES (310, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 12:05:13');
INSERT INTO `sys_logininfor` VALUES (311, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 12:08:52');
INSERT INTO `sys_logininfor` VALUES (312, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 12:10:14');
INSERT INTO `sys_logininfor` VALUES (313, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 12:12:25');
INSERT INTO `sys_logininfor` VALUES (314, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 13:35:04');
INSERT INTO `sys_logininfor` VALUES (315, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 13:41:19');
INSERT INTO `sys_logininfor` VALUES (316, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 14:16:03');
INSERT INTO `sys_logininfor` VALUES (317, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 14:16:03');
INSERT INTO `sys_logininfor` VALUES (318, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-13 14:26:11');
INSERT INTO `sys_logininfor` VALUES (319, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2022-07-13 15:33:42');
INSERT INTO `sys_logininfor` VALUES (320, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-14 09:52:30');
INSERT INTO `sys_logininfor` VALUES (321, 'admin', '127.0.0.1', '内网IP', 'Chrome Mobile', 'Android 1.x', '0', '登录成功', '2022-07-14 09:52:36');
INSERT INTO `sys_logininfor` VALUES (322, 'admin', '127.0.0.1', '内网IP', 'Chrome Mobile', 'Android 8.x', '0', '登录成功', '2022-07-14 09:54:58');
INSERT INTO `sys_logininfor` VALUES (323, 'admin', '127.0.0.1', '内网IP', 'Apple WebKit', 'Mac OS X (iPhone)', '0', '登录成功', '2022-07-14 09:55:32');
INSERT INTO `sys_logininfor` VALUES (324, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 7', '0', '登录成功', '2022-07-14 09:56:52');
INSERT INTO `sys_logininfor` VALUES (325, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 7', '0', '登录成功', '2022-07-14 09:57:22');
INSERT INTO `sys_logininfor` VALUES (326, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-14 10:24:45');
INSERT INTO `sys_logininfor` VALUES (327, 'admin', '127.0.0.1', '内网IP', 'Chrome Mobile', 'Mac OS X (iPhone)', '0', '登录成功', '2022-07-14 11:15:56');
INSERT INTO `sys_logininfor` VALUES (328, 'admin', '127.0.0.1', '内网IP', 'Chrome Mobile', 'Mac OS X (iPhone)', '0', '登录成功', '2022-07-14 11:16:17');
INSERT INTO `sys_logininfor` VALUES (329, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-14 12:09:14');
INSERT INTO `sys_logininfor` VALUES (330, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-14 13:36:58');
INSERT INTO `sys_logininfor` VALUES (331, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-14 13:37:28');
INSERT INTO `sys_logininfor` VALUES (332, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-14 20:58:37');
INSERT INTO `sys_logininfor` VALUES (333, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-14 21:46:32');
INSERT INTO `sys_logininfor` VALUES (334, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-14 21:47:32');
INSERT INTO `sys_logininfor` VALUES (335, 'admin', '127.0.0.1', '内网IP', 'Chrome Mobile', 'Android 1.x', '0', '登录成功', '2022-07-14 21:47:55');
INSERT INTO `sys_logininfor` VALUES (336, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-14 23:05:28');
INSERT INTO `sys_logininfor` VALUES (337, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-14 23:06:31');
INSERT INTO `sys_logininfor` VALUES (338, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2022-07-15 08:40:25');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `url` varchar(200) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '#' COMMENT '请求地址',
  `target` varchar(20) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '打开方式（menuItem页签 menuBlank新窗口）',
  `menu_type` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `is_refresh` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '1' COMMENT '是否刷新（0刷新 1不刷新）',
  `perms` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2004 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '菜单权限表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 2, '#', 'menuItem', 'M', '0', '1', '', 'fa fa-gear', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:40:12', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 3, '#', 'menuItem', 'M', '1', '1', '', 'fa fa-video-camera', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:40:17', '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 4, '#', 'menuItem', 'M', '1', '1', '', 'fa fa-bars', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 14:18:24', '系统工具目录');
INSERT INTO `sys_menu` VALUES (4, '若依官网', 0, 5, 'http://ruoyi.vip', 'menuBlank', 'C', '1', '1', '', 'fa fa-location-arrow', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:40:24', '若依官网地址');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, '/system/user', 'menuItem', 'C', '1', '1', 'system:user:view', 'fa fa-user-o', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:13:30', '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, '/system/role', 'menuItem', 'C', '1', '1', 'system:role:view', 'fa fa-user-secret', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:13:41', '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, '/system/menu', 'menuItem', 'C', '0', '1', 'system:menu:view', 'fa fa-th-list', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:14:14', '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, '/system/dept', 'menuItem', 'C', '1', '1', 'system:dept:view', 'fa fa-outdent', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:14:21', '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, '/system/post', 'menuItem', 'C', '1', '1', 'system:post:view', 'fa fa-address-card-o', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:14:31', '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, '/system/dict', 'menuItem', 'C', '1', '1', 'system:dict:view', 'fa fa-bookmark-o', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:14:37', '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, '/system/config', 'menuItem', 'C', '1', '1', 'system:config:view', 'fa fa-sun-o', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:14:43', '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, '/system/notice', 'menuItem', 'C', '1', '1', 'system:notice:view', 'fa fa-bullhorn', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:15:23', '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, '#', 'menuItem', 'M', '1', '1', '', 'fa fa-pencil-square-o', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:15:47', '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, '/monitor/online', '', 'C', '0', '1', 'monitor:online:view', 'fa fa-user-circle', 'admin', '2022-07-08 10:04:26', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, '/monitor/job', '', 'C', '0', '1', 'monitor:job:view', 'fa fa-tasks', 'admin', '2022-07-08 10:04:26', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, '/monitor/data', '', 'C', '0', '1', 'monitor:data:view', 'fa fa-bug', 'admin', '2022-07-08 10:04:26', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, '/monitor/server', '', 'C', '0', '1', 'monitor:server:view', 'fa fa-server', 'admin', '2022-07-08 10:04:26', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, '/monitor/cache', '', 'C', '0', '1', 'monitor:cache:view', 'fa fa-cube', 'admin', '2022-07-08 10:04:26', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '表单构建', 3, 1, '/tool/build', '', 'C', '0', '1', 'tool:build:view', 'fa fa-wpforms', 'admin', '2022-07-08 10:04:26', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (115, '代码生成', 3, 2, '/tool/gen', '', 'C', '0', '1', 'tool:gen:view', 'fa fa-code', 'admin', '2022-07-08 10:04:26', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (116, '系统接口', 3, 3, '/tool/swagger', '', 'C', '0', '1', 'tool:swagger:view', 'fa fa-gg', 'admin', '2022-07-08 10:04:26', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, '/monitor/operlog', '', 'C', '0', '1', 'monitor:operlog:view', 'fa fa-address-book', 'admin', '2022-07-08 10:04:26', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, '/monitor/logininfor', '', 'C', '0', '1', 'monitor:logininfor:view', 'fa fa-file-image-o', 'admin', '2022-07-08 10:04:26', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '#', '', 'F', '0', '1', 'system:user:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '#', '', 'F', '0', '1', 'system:user:add', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '#', '', 'F', '0', '1', 'system:user:edit', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '#', '', 'F', '0', '1', 'system:user:remove', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '#', '', 'F', '0', '1', 'system:user:export', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '#', '', 'F', '0', '1', 'system:user:import', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '#', '', 'F', '0', '1', 'system:user:resetPwd', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '#', '', 'F', '0', '1', 'system:role:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '#', '', 'F', '0', '1', 'system:role:add', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '#', '', 'F', '0', '1', 'system:role:edit', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '#', '', 'F', '0', '1', 'system:role:remove', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '#', '', 'F', '0', '1', 'system:role:export', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '#', '', 'F', '0', '1', 'system:menu:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '#', '', 'F', '0', '1', 'system:menu:add', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '#', '', 'F', '0', '1', 'system:menu:edit', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '#', '', 'F', '0', '1', 'system:menu:remove', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '#', '', 'F', '0', '1', 'system:dept:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '#', '', 'F', '0', '1', 'system:dept:add', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '#', '', 'F', '0', '1', 'system:dept:edit', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '#', '', 'F', '0', '1', 'system:dept:remove', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '#', '', 'F', '0', '1', 'system:post:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '#', '', 'F', '0', '1', 'system:post:add', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '#', '', 'F', '0', '1', 'system:post:edit', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '#', '', 'F', '0', '1', 'system:post:remove', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '#', '', 'F', '0', '1', 'system:post:export', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', 'F', '0', '1', 'system:dict:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', 'F', '0', '1', 'system:dict:add', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', 'F', '0', '1', 'system:dict:edit', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', 'F', '0', '1', 'system:dict:remove', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', 'F', '0', '1', 'system:dict:export', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', 'F', '0', '1', 'system:config:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', 'F', '0', '1', 'system:config:add', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', 'F', '0', '1', 'system:config:edit', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', 'F', '0', '1', 'system:config:remove', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', 'F', '0', '1', 'system:config:export', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', 'F', '0', '1', 'system:notice:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', 'F', '0', '1', 'system:notice:add', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', 'F', '0', '1', 'system:notice:edit', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', 'F', '0', '1', 'system:notice:remove', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', 'F', '0', '1', 'monitor:operlog:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', 'F', '0', '1', 'monitor:operlog:remove', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '详细信息', 500, 3, '#', '', 'F', '0', '1', 'monitor:operlog:detail', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '日志导出', 500, 4, '#', '', 'F', '0', '1', 'monitor:operlog:export', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录查询', 501, 1, '#', '', 'F', '0', '1', 'monitor:logininfor:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '登录删除', 501, 2, '#', '', 'F', '0', '1', 'monitor:logininfor:remove', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '日志导出', 501, 3, '#', '', 'F', '0', '1', 'monitor:logininfor:export', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '账户解锁', 501, 4, '#', '', 'F', '0', '1', 'monitor:logininfor:unlock', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '在线查询', 109, 1, '#', '', 'F', '0', '1', 'monitor:online:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '批量强退', 109, 2, '#', '', 'F', '0', '1', 'monitor:online:batchForceLogout', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '单条强退', 109, 3, '#', '', 'F', '0', '1', 'monitor:online:forceLogout', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务查询', 110, 1, '#', '', 'F', '0', '1', 'monitor:job:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务新增', 110, 2, '#', '', 'F', '0', '1', 'monitor:job:add', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务修改', 110, 3, '#', '', 'F', '0', '1', 'monitor:job:edit', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '任务删除', 110, 4, '#', '', 'F', '0', '1', 'monitor:job:remove', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '状态修改', 110, 5, '#', '', 'F', '0', '1', 'monitor:job:changeStatus', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '任务详细', 110, 6, '#', '', 'F', '0', '1', 'monitor:job:detail', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '任务导出', 110, 7, '#', '', 'F', '0', '1', 'monitor:job:export', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成查询', 115, 1, '#', '', 'F', '0', '1', 'tool:gen:list', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '生成修改', 115, 2, '#', '', 'F', '0', '1', 'tool:gen:edit', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '生成删除', 115, 3, '#', '', 'F', '0', '1', 'tool:gen:remove', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '预览代码', 115, 4, '#', '', 'F', '0', '1', 'tool:gen:preview', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1061, '生成代码', 115, 5, '#', '', 'F', '0', '1', 'tool:gen:code', '#', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2000, '上传word文档', 0, 0, 'system/main', 'menuItem', 'M', '0', '1', '', 'fa fa-file-word-o', 'admin', '2022-07-09 18:32:55', 'admin', '2022-07-09 18:33:12', '');
INSERT INTO `sys_menu` VALUES (2001, '添加记录', 2000, 1, '#', 'menuItem', 'F', '0', '1', 'record:add', '#', 'admin', '2022-07-09 18:36:10', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2002, '查询记录信息', 2000, 2, '#', 'menuItem', 'F', '0', '1', 'record:list', '#', 'admin', '2022-07-13 09:27:36', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2003, '查看上传记录', 0, 1, 'record/record', 'menuItem', 'C', '0', '1', '', 'fa fa-bars', 'admin', '2022-07-13 09:41:04', 'admin', '2022-07-13 09:41:43', '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int(4) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` varchar(2000) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '通知公告表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', '新版本内容', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', '维护内容', '0', 'admin', '2022-07-08 10:04:26', 'admin', '2022-07-13 09:14:55', '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int(2) NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int(1) NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int(1) NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`oper_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 217 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '操作日志记录' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (100, '在线用户', 7, 'com.ruoyi.web.controller.monitor.SysUserOnlineController.batchForceLogout()', 'POST', 1, 'admin', '研发部门', '/monitor/online/batchForceLogout', '127.0.0.1', '内网IP', '{\"ids\":[\"5ca10599-7477-4ff3-b158-5a5299d05cb5\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-08 11:25:12');
INSERT INTO `sys_oper_log` VALUES (101, '在线用户', 7, 'com.ruoyi.web.controller.monitor.SysUserOnlineController.batchForceLogout()', 'POST', 1, 'admin', '研发部门', '/monitor/online/batchForceLogout', '127.0.0.1', '内网IP', '{\"ids\":[\"04ba5af5-9b73-44e8-88aa-36fc8df2058e\"]}', '{\"msg\":\"当前登录用户无法强退\",\"code\":500}', 0, NULL, '2022-07-08 11:25:15');
INSERT INTO `sys_oper_log` VALUES (102, '菜单管理', 1, 'com.ruoyi.project.system.menu.controller.MenuController.addSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/add', '127.0.0.1', '内网IP', '{\"parentId\":[\"0\"],\"menuType\":[\"M\"],\"menuName\":[\"上传word文档\"],\"url\":[\"system/main\"],\"target\":[\"menuItem\"],\"perms\":[\"\"],\"orderNum\":[\"1\"],\"icon\":[\"fa fa-file-word-o\"],\"visible\":[\"0\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-09 18:32:55');
INSERT INTO `sys_oper_log` VALUES (103, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"2000\"],\"parentId\":[\"0\"],\"menuType\":[\"M\"],\"menuName\":[\"上传word文档\"],\"url\":[\"system/main\"],\"target\":[\"menuItem\"],\"perms\":[\"\"],\"orderNum\":[\"0\"],\"icon\":[\"fa fa-file-word-o\"],\"visible\":[\"0\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-09 18:33:12');
INSERT INTO `sys_oper_log` VALUES (104, '菜单管理', 1, 'com.ruoyi.project.system.menu.controller.MenuController.addSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/add', '127.0.0.1', '内网IP', '{\"parentId\":[\"2000\"],\"menuType\":[\"F\"],\"menuName\":[\"添加记录\"],\"url\":[\"\"],\"target\":[\"menuItem\"],\"perms\":[\"record:add\"],\"orderNum\":[\"1\"],\"icon\":[\"\"],\"visible\":[\"0\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-09 18:36:10');
INSERT INTO `sys_oper_log` VALUES (105, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"面试题.docx\"],\"name\":[\"面试题_20220709183807A001.docx\"],\"newWord\":[\"﻿<meta http-equiv=\\\"Content-Type\\\" content=\\\"application/xhtml+xml; charset=utf-8\\\"><title></title><link href=\\\"面试题_styles.css\\\" type=\\\"text/css\\\" rel=\\\"stylesheet\\\"><div class=\\\"Section0\\\"><div style=\\\"min-height:72pt\\\"><p class=\\\"Normal\\\" style=\\\"text-align:center;line-height:1.0;\\\"><span style=\\\"font-size:14.0pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;font-weight:bold;\\\">目录</span><a id=\\\"_GoBack\\\"></a></p><p class=\\\"TOC-1\\\"><a style=\\\"font-size:10.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\" href=\\\"#_Toc24433\\\"><span style=\\\"font-size:10.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\">1.<span style=\\\"color: red\\\">控制反转</span></span><span style=\\\"font-size:10.5pt;font-family:Calibri;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></a></p><p class=\\\"TOC-1\\\"><a style=\\\"font-size:10.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\" href=\\\"#_Toc16297\\\"><span style=\\\"font-size:10.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\">2.Spring和SpringBoot的区别</span><span style=\\\"font-size:10.5pt;font-family:Calibri;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></a></p><p class=\\\"TOC-1\\\"><a style=\\\"font-size:10.5pt;font-family:Calibri;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-', '0', 0, NULL, '2022-07-09 18:39:28');
INSERT INTO `sys_oper_log` VALUES (106, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"面试题.docx\"],\"name\":[\"面试题_20220709183954A001.docx\"],\"newWord\":[\"﻿<meta http-equiv=\\\"Content-Type\\\" content=\\\"application/xhtml+xml; charset=utf-8\\\"><title></title><link href=\\\"面试题_styles.css\\\" type=\\\"text/css\\\" rel=\\\"stylesheet\\\"><div class=\\\"Section0\\\"><div style=\\\"min-height:72pt\\\"><p class=\\\"Normal\\\" style=\\\"text-align:center;line-height:1.0;\\\"><span style=\\\"font-size:14.0pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;font-weight:bold;\\\">目录</span><a id=\\\"_GoBack\\\"></a></p><p class=\\\"TOC-1\\\"><a style=\\\"font-size:10.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\" href=\\\"#_Toc24433\\\"><span style=\\\"font-size:10.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\">1.<span style=\\\"color: red\\\">控制反转</span></span><span style=\\\"font-size:10.5pt;font-family:Calibri;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></a></p><p class=\\\"TOC-1\\\"><a style=\\\"font-size:10.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\" href=\\\"#_Toc16297\\\"><span style=\\\"font-size:10.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\">2.Spring和SpringBoot的区别</span><span style=\\\"font-size:10.5pt;font-family:Calibri;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></a></p><p class=\\\"TOC-1\\\"><a style=\\\"font-size:10.5pt;font-family:Calibri;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-', '0', 0, NULL, '2022-07-09 18:41:10');
INSERT INTO `sys_oper_log` VALUES (107, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"面试题.docx\"],\"name\":[\"面试题_20220709184133A001.docx\"],\"newWord\":[\"﻿<meta http-equiv=\\\"Content-Type\\\" content=\\\"application/xhtml+xml; charset=utf-8\\\"><title></title><link href=\\\"面试题_styles.css\\\" type=\\\"text/css\\\" rel=\\\"stylesheet\\\"><div class=\\\"Section0\\\"><div style=\\\"min-height:72pt\\\"><p class=\\\"Normal\\\" style=\\\"text-align:center;line-height:1.0;\\\"><span style=\\\"font-size:14.0pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;font-weight:bold;\\\">目录</span><a id=\\\"_GoBack\\\"></a></p><p class=\\\"TOC-1\\\"><a style=\\\"font-size:10.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\" href=\\\"#_Toc24433\\\"><span style=\\\"font-size:10.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\">1.<span style=\\\"color: red\\\">控制反转</span></span><span style=\\\"font-size:10.5pt;font-family:Calibri;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></a></p><p class=\\\"TOC-1\\\"><a style=\\\"font-size:10.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\" href=\\\"#_Toc16297\\\"><span style=\\\"font-size:10.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\">2.Spring和SpringBoot的区别</span><span style=\\\"font-size:10.5pt;font-family:Calibri;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;mso-ansi-language:AR-SA;\\\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></a></p><p class=\\\"TOC-1\\\"><a style=\\\"font-size:10.5pt;font-family:Calibri;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-', '0', 0, NULL, '2022-07-09 18:42:43');
INSERT INTO `sys_oper_log` VALUES (108, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"面试题.docx\"],\"name\":[\"面试题_20220709184322A001.docx\"],\"recordTime\":[\"Sat Jul 09 2022 18:43:31 GMT+0800 (中国标准时间)\"]}', '0', 0, NULL, '2022-07-09 18:44:50');
INSERT INTO `sys_oper_log` VALUES (109, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"面试题.docx\"],\"name\":[\"面试题_20220709184512A001.docx\"],\"recordTime\":[\"Sat Jul 09 2022 18:45:19 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-09 18:45:23');
INSERT INTO `sys_oper_log` VALUES (110, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"面试题.docx\"],\"name\":[\"面试题_20220709184823A001.docx\"],\"recordTime\":[\"Sat Jul 09 2022 18:48:29 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-09 18:48:29');
INSERT INTO `sys_oper_log` VALUES (111, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"面试题.docx\"],\"name\":[\"面试题_20220709184959A001.docx\"],\"recordTime\":[\"Sat Jul 09 2022 18:50:08 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-09 18:50:09');
INSERT INTO `sys_oper_log` VALUES (112, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"面试题.docx\"],\"name\":[\"面试题_20220709185336A001.docx\"],\"recordTime\":[\"Sat Jul 09 2022 18:53:43 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-09 18:53:44');
INSERT INTO `sys_oper_log` VALUES (113, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"测试.docx\"],\"name\":[\"测试_20220709185647A001.docx\"],\"recordTime\":[\"Sat Jul 09 2022 18:57:25 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-09 18:57:25');
INSERT INTO `sys_oper_log` VALUES (114, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"测试.docx\"],\"name\":[\"测试_20220713090437A001.docx\"],\"recordTime\":[\"Wed Jul 13 2022 09:06:28 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-13 09:06:28');
INSERT INTO `sys_oper_log` VALUES (115, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"测试.docx\"],\"name\":[\"测试_20220713090437A001.docx\"],\"recordTime\":[\"Wed Jul 13 2022 09:08:42 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-13 09:08:42');
INSERT INTO `sys_oper_log` VALUES (116, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"测试.docx\"],\"name\":[\"测试_20220713090437A001.docx\"],\"recordTime\":[\"Wed Jul 13 2022 09:09:13 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-13 09:09:13');
INSERT INTO `sys_oper_log` VALUES (117, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"测试.docx\"],\"name\":[\"测试_20220713090437A001.docx\"],\"recordTime\":[\"Wed Jul 13 2022 09:09:50 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-13 09:09:50');
INSERT INTO `sys_oper_log` VALUES (118, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"4\"],\"parentId\":[\"0\"],\"menuType\":[\"C\"],\"menuName\":[\"若依官网\"],\"url\":[\"http://ruoyi.vip\"],\"target\":[\"menuBlank\"],\"perms\":[\"\"],\"orderNum\":[\"4\"],\"icon\":[\"fa fa-location-arrow\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:11:53');
INSERT INTO `sys_oper_log` VALUES (119, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"2\"],\"parentId\":[\"0\"],\"menuType\":[\"M\"],\"menuName\":[\"系统监控\"],\"url\":[\"#\"],\"target\":[\"menuItem\"],\"perms\":[\"\"],\"orderNum\":[\"2\"],\"icon\":[\"fa fa-video-camera\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:13:01');
INSERT INTO `sys_oper_log` VALUES (120, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"100\"],\"parentId\":[\"1\"],\"menuType\":[\"C\"],\"menuName\":[\"用户管理\"],\"url\":[\"/system/user\"],\"target\":[\"menuItem\"],\"perms\":[\"system:user:view\"],\"orderNum\":[\"1\"],\"icon\":[\"fa fa-user-o\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:13:30');
INSERT INTO `sys_oper_log` VALUES (121, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"101\"],\"parentId\":[\"1\"],\"menuType\":[\"C\"],\"menuName\":[\"角色管理\"],\"url\":[\"/system/role\"],\"target\":[\"menuItem\"],\"perms\":[\"system:role:view\"],\"orderNum\":[\"2\"],\"icon\":[\"fa fa-user-secret\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:13:41');
INSERT INTO `sys_oper_log` VALUES (122, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"102\"],\"parentId\":[\"1\"],\"menuType\":[\"C\"],\"menuName\":[\"菜单管理\"],\"url\":[\"/system/menu\"],\"target\":[\"menuItem\"],\"perms\":[\"system:menu:view\"],\"orderNum\":[\"3\"],\"icon\":[\"fa fa-th-list\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:14:08');
INSERT INTO `sys_oper_log` VALUES (123, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"102\"],\"parentId\":[\"1\"],\"menuType\":[\"C\"],\"menuName\":[\"菜单管理\"],\"url\":[\"/system/menu\"],\"target\":[\"menuItem\"],\"perms\":[\"system:menu:view\"],\"orderNum\":[\"3\"],\"icon\":[\"fa fa-th-list\"],\"visible\":[\"0\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:14:14');
INSERT INTO `sys_oper_log` VALUES (124, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"103\"],\"parentId\":[\"1\"],\"menuType\":[\"C\"],\"menuName\":[\"部门管理\"],\"url\":[\"/system/dept\"],\"target\":[\"menuItem\"],\"perms\":[\"system:dept:view\"],\"orderNum\":[\"4\"],\"icon\":[\"fa fa-outdent\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:14:21');
INSERT INTO `sys_oper_log` VALUES (125, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"104\"],\"parentId\":[\"1\"],\"menuType\":[\"C\"],\"menuName\":[\"岗位管理\"],\"url\":[\"/system/post\"],\"target\":[\"menuItem\"],\"perms\":[\"system:post:view\"],\"orderNum\":[\"5\"],\"icon\":[\"fa fa-address-card-o\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:14:31');
INSERT INTO `sys_oper_log` VALUES (126, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"105\"],\"parentId\":[\"1\"],\"menuType\":[\"C\"],\"menuName\":[\"字典管理\"],\"url\":[\"/system/dict\"],\"target\":[\"menuItem\"],\"perms\":[\"system:dict:view\"],\"orderNum\":[\"6\"],\"icon\":[\"fa fa-bookmark-o\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:14:37');
INSERT INTO `sys_oper_log` VALUES (127, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"106\"],\"parentId\":[\"1\"],\"menuType\":[\"C\"],\"menuName\":[\"参数设置\"],\"url\":[\"/system/config\"],\"target\":[\"menuItem\"],\"perms\":[\"system:config:view\"],\"orderNum\":[\"7\"],\"icon\":[\"fa fa-sun-o\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:14:43');
INSERT INTO `sys_oper_log` VALUES (128, '通知公告', 2, 'com.ruoyi.project.system.notice.controller.NoticeController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/notice/edit', '127.0.0.1', '内网IP', '{\"noticeId\":[\"2\"],\"noticeTitle\":[\"维护通知：2018-07-01 若依系统凌晨维护\"],\"noticeType\":[\"1\"],\"noticeContent\":[\"维护内容\"],\"status\":[\"0\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:14:55');
INSERT INTO `sys_oper_log` VALUES (129, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"107\"],\"parentId\":[\"1\"],\"menuType\":[\"C\"],\"menuName\":[\"通知公告\"],\"url\":[\"/system/notice\"],\"target\":[\"menuItem\"],\"perms\":[\"system:notice:view\"],\"orderNum\":[\"8\"],\"icon\":[\"fa fa-bullhorn\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:15:23');
INSERT INTO `sys_oper_log` VALUES (130, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"108\"],\"parentId\":[\"1\"],\"menuType\":[\"M\"],\"menuName\":[\"日志管理\"],\"url\":[\"#\"],\"target\":[\"menuItem\"],\"perms\":[\"\"],\"orderNum\":[\"9\"],\"icon\":[\"fa fa-pencil-square-o\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:15:47');
INSERT INTO `sys_oper_log` VALUES (131, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"3\"],\"parentId\":[\"0\"],\"menuType\":[\"M\"],\"menuName\":[\"系统工具\"],\"url\":[\"#\"],\"target\":[\"menuItem\"],\"perms\":[\"\"],\"orderNum\":[\"3\"],\"icon\":[\"fa fa-bars\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:15:59');
INSERT INTO `sys_oper_log` VALUES (132, '菜单管理', 1, 'com.ruoyi.project.system.menu.controller.MenuController.addSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/add', '127.0.0.1', '内网IP', '{\"parentId\":[\"2000\"],\"menuType\":[\"F\"],\"menuName\":[\"查询记录信息\"],\"url\":[\"\"],\"target\":[\"menuItem\"],\"perms\":[\"record:list\"],\"orderNum\":[\"2\"],\"icon\":[\"\"],\"visible\":[\"0\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:27:36');
INSERT INTO `sys_oper_log` VALUES (133, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"测试.docx\"],\"name\":[\"测试_20220713093502A001.docx\"],\"recordTime\":[\"Wed Jul 13 2022 09:35:19 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-13 09:35:19');
INSERT INTO `sys_oper_log` VALUES (134, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"1\"],\"parentId\":[\"0\"],\"menuType\":[\"M\"],\"menuName\":[\"系统管理\"],\"url\":[\"#\"],\"target\":[\"menuItem\"],\"perms\":[\"\"],\"orderNum\":[\"2\"],\"icon\":[\"fa fa-gear\"],\"visible\":[\"0\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:40:12');
INSERT INTO `sys_oper_log` VALUES (135, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"2\"],\"parentId\":[\"0\"],\"menuType\":[\"M\"],\"menuName\":[\"系统监控\"],\"url\":[\"#\"],\"target\":[\"menuItem\"],\"perms\":[\"\"],\"orderNum\":[\"3\"],\"icon\":[\"fa fa-video-camera\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:40:17');
INSERT INTO `sys_oper_log` VALUES (136, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"3\"],\"parentId\":[\"0\"],\"menuType\":[\"M\"],\"menuName\":[\"系统工具\"],\"url\":[\"#\"],\"target\":[\"menuItem\"],\"perms\":[\"\"],\"orderNum\":[\"4\"],\"icon\":[\"fa fa-bars\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:40:20');
INSERT INTO `sys_oper_log` VALUES (137, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"4\"],\"parentId\":[\"0\"],\"menuType\":[\"C\"],\"menuName\":[\"若依官网\"],\"url\":[\"http://ruoyi.vip\"],\"target\":[\"menuBlank\"],\"perms\":[\"\"],\"orderNum\":[\"5\"],\"icon\":[\"fa fa-location-arrow\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:40:24');
INSERT INTO `sys_oper_log` VALUES (138, '菜单管理', 1, 'com.ruoyi.project.system.menu.controller.MenuController.addSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/add', '127.0.0.1', '内网IP', '{\"parentId\":[\"0\"],\"menuType\":[\"M\"],\"menuName\":[\"查看上传记录\"],\"url\":[\"\"],\"target\":[\"menuItem\"],\"perms\":[\"\"],\"orderNum\":[\"1\"],\"icon\":[\"fa fa-bars\"],\"visible\":[\"0\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:41:04');
INSERT INTO `sys_oper_log` VALUES (139, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"2003\"],\"parentId\":[\"0\"],\"menuType\":[\"C\"],\"menuName\":[\"查看上传记录\"],\"url\":[\"record/record\"],\"target\":[\"menuItem\"],\"perms\":[\"\"],\"orderNum\":[\"1\"],\"icon\":[\"fa fa-bars\"],\"visible\":[\"0\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 09:41:43');
INSERT INTO `sys_oper_log` VALUES (140, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '[{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":10},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0},{\"del\":false,\"id\":1,\"limit\":10,\"name\":\"面试题_20220709184512A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363522000,\"total\":0}]', 0, NULL, '2022-07-13 09:41:49');
INSERT INTO `sys_oper_log` VALUES (141, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '[{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":10},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0},{\"del\":false,\"id\":1,\"limit\":10,\"name\":\"面试题_20220709184512A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363522000,\"total\":0}]', 0, NULL, '2022-07-13 09:42:02');
INSERT INTO `sys_oper_log` VALUES (142, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '[{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":10},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0},{\"del\":false,\"id\":1,\"limit\":10,\"name\":\"面试题_20220709184512A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363522000,\"total\":0}]', 0, NULL, '2022-07-13 09:48:08');
INSERT INTO `sys_oper_log` VALUES (143, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '[{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":10},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0},{\"del\":false,\"id\":1,\"limit\":10,\"name\":\"面试题_20220709184512A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363522000,\"total\":0}]', 0, NULL, '2022-07-13 09:49:18');
INSERT INTO `sys_oper_log` VALUES (144, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":10},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0},{\"del\":false,\"id\":1,\"limit\":10,\"name\":\"面试题_20220709184512A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363522000,\"total\":0}],\"total\":10}', 0, NULL, '2022-07-13 09:55:31');
INSERT INTO `sys_oper_log` VALUES (145, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"测试.docx\"],\"name\":[\"测试_20220713095648A001.docx\"],\"recordTime\":[\"Wed Jul 13 2022 09:57:04 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-13 09:57:04');
INSERT INTO `sys_oper_log` VALUES (146, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 09:57:15');
INSERT INTO `sys_oper_log` VALUES (147, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"25\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 09:57:18');
INSERT INTO `sys_oper_log` VALUES (148, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 09:57:21');
INSERT INTO `sys_oper_log` VALUES (149, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"2\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', NULL, 1, 'toIndex = 11', '2022-07-13 09:57:23');
INSERT INTO `sys_oper_log` VALUES (150, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 09:58:11');
INSERT INTO `sys_oper_log` VALUES (151, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"2\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', NULL, 1, 'toIndex = 11', '2022-07-13 09:58:27');
INSERT INTO `sys_oper_log` VALUES (152, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 09:59:52');
INSERT INTO `sys_oper_log` VALUES (153, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:05:34');
INSERT INTO `sys_oper_log` VALUES (154, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', NULL, 1, '', '2022-07-13 10:07:17');
INSERT INTO `sys_oper_log` VALUES (155, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', NULL, 1, '', '2022-07-13 10:10:24');
INSERT INTO `sys_oper_log` VALUES (156, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:12:21');
INSERT INTO `sys_oper_log` VALUES (157, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"2\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', NULL, 1, 'toIndex = 11', '2022-07-13 10:12:32');
INSERT INTO `sys_oper_log` VALUES (158, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:13:33');
INSERT INTO `sys_oper_log` VALUES (159, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"2\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', NULL, 1, 'toIndex = 11', '2022-07-13 10:13:44');
INSERT INTO `sys_oper_log` VALUES (160, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:16:01');
INSERT INTO `sys_oper_log` VALUES (161, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"2\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', NULL, 1, 'toIndex = 10', '2022-07-13 10:16:14');
INSERT INTO `sys_oper_log` VALUES (162, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:18:09');
INSERT INTO `sys_oper_log` VALUES (163, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"2\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":1,\"limit\":10,\"name\":\"面试题_20220709184512A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363522000,\"total\":11}],\"total\":11}', 0, NULL, '2022-07-13 10:18:14');
INSERT INTO `sys_oper_log` VALUES (164, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:18:23');
INSERT INTO `sys_oper_log` VALUES (165, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"面试题\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":4},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0},{\"del\":false,\"id\":1,\"limit\":10,\"name\":\"面试题_20220709184512A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363522000,\"total\":0}],\"total\":4}', 0, NULL, '2022-07-13 10:18:29');
INSERT INTO `sys_oper_log` VALUES (166, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:18:31');
INSERT INTO `sys_oper_log` VALUES (167, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"测试\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":7},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0}],\"total\":7}', 0, NULL, '2022-07-13 10:18:36');
INSERT INTO `sys_oper_log` VALUES (168, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:18:37');
INSERT INTO `sys_oper_log` VALUES (169, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:20:47');
INSERT INTO `sys_oper_log` VALUES (170, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:21:50');
INSERT INTO `sys_oper_log` VALUES (171, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:22:36');
INSERT INTO `sys_oper_log` VALUES (172, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:23:22');
INSERT INTO `sys_oper_log` VALUES (173, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:23:27');
INSERT INTO `sys_oper_log` VALUES (174, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"2\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":1,\"limit\":10,\"name\":\"面试题_20220709184512A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363522000,\"total\":11}],\"total\":11}', 0, NULL, '2022-07-13 10:23:30');
INSERT INTO `sys_oper_log` VALUES (175, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:23:31');
INSERT INTO `sys_oper_log` VALUES (176, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"2\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":1,\"limit\":10,\"name\":\"面试题_20220709184512A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363522000,\"total\":11}],\"total\":11}', 0, NULL, '2022-07-13 10:23:33');
INSERT INTO `sys_oper_log` VALUES (177, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:29:11');
INSERT INTO `sys_oper_log` VALUES (178, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:29:22');
INSERT INTO `sys_oper_log` VALUES (179, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:45:21');
INSERT INTO `sys_oper_log` VALUES (180, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:46:15');
INSERT INTO `sys_oper_log` VALUES (181, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:50:40');
INSERT INTO `sys_oper_log` VALUES (182, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":11},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0}],\"total\":11}', 0, NULL, '2022-07-13 10:52:06');
INSERT INTO `sys_oper_log` VALUES (183, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"123.docx\"],\"name\":[\"123_20220713105943A007.docx\"],\"recordTime\":[\"Wed Jul 13 2022 11:00:02 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-13 11:00:20');
INSERT INTO `sys_oper_log` VALUES (184, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\"],\"name\":[\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\"],\"recordTime\":[\"Wed Jul 13 2022 11:01:10 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-13 11:00:34');
INSERT INTO `sys_oper_log` VALUES (185, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":13},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0}],\"total\":13}', 0, NULL, '2022-07-13 11:00:37');
INSERT INTO `sys_oper_log` VALUES (186, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":13},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0}],\"total\":13}', 0, NULL, '2022-07-13 11:01:23');
INSERT INTO `sys_oper_log` VALUES (187, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\"],\"name\":[\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\"],\"recordTime\":[\"Wed Jul 13 2022 13:37:05 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-13 13:37:05');
INSERT INTO `sys_oper_log` VALUES (188, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":14},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0}],\"total\":14}', 0, NULL, '2022-07-13 13:37:36');
INSERT INTO `sys_oper_log` VALUES (189, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"25\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":14},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0},{\"del\":false,\"id\":1,\"limit\":10,\"name\":\"面试题_20220709184512A001.docx\",\"oldWordName\":\"面试题.d', 0, NULL, '2022-07-13 13:37:58');
INSERT INTO `sys_oper_log` VALUES (190, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":14},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0},{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":0},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0}],\"total\":14}', 0, NULL, '2022-07-13 13:38:00');
INSERT INTO `sys_oper_log` VALUES (191, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\"],\"name\":[\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\"],\"recordTime\":[\"Wed Jul 13 2022 13:43:52 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-13 13:43:52');
INSERT INTO `sys_oper_log` VALUES (192, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\"],\"name\":[\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\"],\"recordTime\":[\"Wed Jul 13 2022 13:44:27 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-13 13:44:27');
INSERT INTO `sys_oper_log` VALUES (193, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\"],\"name\":[\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\"],\"recordTime\":[\"Wed Jul 13 2022 13:44:46 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-13 13:44:46');
INSERT INTO `sys_oper_log` VALUES (194, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"3\"],\"parentId\":[\"0\"],\"menuType\":[\"M\"],\"menuName\":[\"系统工具\"],\"url\":[\"#\"],\"target\":[\"menuItem\"],\"perms\":[\"\"],\"orderNum\":[\"4\"],\"icon\":[\"fa fa-bars\"],\"visible\":[\"0\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 14:16:18');
INSERT INTO `sys_oper_log` VALUES (195, '创建表', 0, 'com.ruoyi.project.tool.gen.controller.GenController.create()', 'POST', 1, 'admin', '研发部门', '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":[\"create table(id,ids)\"]}', '{\"msg\":\"创建表结构异常[illegal name, pos 13, line 1, column 13, token (]\",\"code\":500}', 0, NULL, '2022-07-13 14:17:20');
INSERT INTO `sys_oper_log` VALUES (196, '菜单管理', 2, 'com.ruoyi.project.system.menu.controller.MenuController.editSave()', 'POST', 1, 'admin', '研发部门', '/system/menu/edit', '127.0.0.1', '内网IP', '{\"menuId\":[\"3\"],\"parentId\":[\"0\"],\"menuType\":[\"M\"],\"menuName\":[\"系统工具\"],\"url\":[\"#\"],\"target\":[\"menuItem\"],\"perms\":[\"\"],\"orderNum\":[\"4\"],\"icon\":[\"fa fa-bars\"],\"visible\":[\"1\"],\"isRefresh\":[\"1\"]}', '{\"msg\":\"操作成功\",\"code\":0}', 0, NULL, '2022-07-13 14:18:24');
INSERT INTO `sys_oper_log` VALUES (197, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":17},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0}],\"total\":17}', 0, NULL, '2022-07-13 14:20:13');
INSERT INTO `sys_oper_log` VALUES (198, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":17},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0}],\"total\":17}', 0, NULL, '2022-07-13 14:20:15');
INSERT INTO `sys_oper_log` VALUES (199, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"2\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":7,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674522000,\"total\":17},{\"del\":false,\"id\":6,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674388000,\"total\":0},{\"del\":false,\"id\":5,\"limit\":10,\"name\":\"测试_20220709185647A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657364245000,\"total\":0},{\"del\":false,\"id\":4,\"limit\":10,\"name\":\"面试题_20220709185336A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657364023000,\"total\":0},{\"del\":false,\"id\":3,\"limit\":10,\"name\":\"面试题_20220709184959A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363808000,\"total\":0},{\"del\":false,\"id\":2,\"limit\":10,\"name\":\"面试题_20220709184823A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363709000,\"total\":0},{\"del\":false,\"id\":1,\"limit\":10,\"name\":\"面试题_20220709184512A001.docx\",\"oldWordName\":\"面试题.docx\",\"page\":1,\"recordTime\":1657363522000,\"total\":0}],\"total\":17}', 0, NULL, '2022-07-13 14:20:18');
INSERT INTO `sys_oper_log` VALUES (200, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":17},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0},{\"del\":false,\"id\":9,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674590000,\"total\":0},{\"del\":false,\"id\":8,\"limit\":10,\"name\":\"测试_20220713090437A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657674553000,\"total\":0}],\"total\":17}', 0, NULL, '2022-07-13 14:20:20');
INSERT INTO `sys_oper_log` VALUES (201, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"\"],\"name\":[\"\"],\"recordTime\":[\"Thu Jul 14 2022 09:59:15 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-14 09:59:17');
INSERT INTO `sys_oper_log` VALUES (202, '添加记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.insertRecord()', 'POST', 1, 'admin', '研发部门', '/record/insertRecord', '127.0.0.1', '内网IP', '{\"oldWordName\":[\"\"],\"name\":[\"\"],\"recordTime\":[\"Thu Jul 14 2022 10:00:39 GMT+0800 (中国标准时间)\"]}', '1', 0, NULL, '2022-07-14 10:00:40');
INSERT INTO `sys_oper_log` VALUES (203, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 10:01:44');
INSERT INTO `sys_oper_log` VALUES (204, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 10:03:17');
INSERT INTO `sys_oper_log` VALUES (205, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 10:07:20');
INSERT INTO `sys_oper_log` VALUES (206, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 10:24:47');
INSERT INTO `sys_oper_log` VALUES (207, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 10:41:18');
INSERT INTO `sys_oper_log` VALUES (208, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 10:41:18');
INSERT INTO `sys_oper_log` VALUES (209, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 10:41:19');
INSERT INTO `sys_oper_log` VALUES (210, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 12:09:16');
INSERT INTO `sys_oper_log` VALUES (211, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 21:47:35');
INSERT INTO `sys_oper_log` VALUES (212, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 22:03:12');
INSERT INTO `sys_oper_log` VALUES (213, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 22:03:13');
INSERT INTO `sys_oper_log` VALUES (214, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 22:03:15');
INSERT INTO `sys_oper_log` VALUES (215, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-14 23:05:30');
INSERT INTO `sys_oper_log` VALUES (216, '查询记录信息', 1, 'com.ruoyi.project.demo.controller.RecordController.getRecordList()', 'POST', 1, 'admin', '研发部门', '/record/getRecordList', '127.0.0.1', '内网IP', '{\"pageSize\":[\"10\"],\"pageNum\":[\"1\"],\"isAsc\":[\"asc\"],\"oldWordName\":[\"\"]}', '{\"code\":0,\"rows\":[{\"del\":false,\"id\":19,\"limit\":10,\"page\":1,\"recordTime\":1657764040000,\"total\":19},{\"del\":false,\"id\":18,\"limit\":10,\"page\":1,\"recordTime\":1657763957000,\"total\":0},{\"del\":false,\"id\":17,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691086000,\"total\":0},{\"del\":false,\"id\":16,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691067000,\"total\":0},{\"del\":false,\"id\":15,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713134133A003.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657691032000,\"total\":0},{\"del\":false,\"id\":14,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1__20220713133540A002.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》_1_.docx\",\"page\":1,\"recordTime\":1657690625000,\"total\":0},{\"del\":false,\"id\":13,\"limit\":10,\"name\":\"《临沂市总部机构招引激励政策（征求意见稿）》_20220713105938A006.docx\",\"oldWordName\":\"《临沂市总部机构招引激励政策（征求意见稿）》.docx\",\"page\":1,\"recordTime\":1657681234000,\"total\":0},{\"del\":false,\"id\":12,\"limit\":10,\"name\":\"123_20220713105943A007.docx\",\"oldWordName\":\"123.docx\",\"page\":1,\"recordTime\":1657681220000,\"total\":0},{\"del\":false,\"id\":11,\"limit\":10,\"name\":\"测试_20220713095648A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657677424000,\"total\":0},{\"del\":false,\"id\":10,\"limit\":10,\"name\":\"测试_20220713093502A001.docx\",\"oldWordName\":\"测试.docx\",\"page\":1,\"recordTime\":1657676119000,\"total\":0}],\"total\":19}', 0, NULL, '2022-07-15 08:44:54');

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int(4) NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '岗位信息表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2022-07-08 10:04:26', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2022-07-08 10:04:26', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(4) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '角色信息表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', '0', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', '0', '0', 'admin', '2022-07-08 10:04:26', '', NULL, '普通角色');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `dept_id` bigint(20) NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '角色和部门关联表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 4);
INSERT INTO `sys_role_menu` VALUES (2, 100);
INSERT INTO `sys_role_menu` VALUES (2, 101);
INSERT INTO `sys_role_menu` VALUES (2, 102);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 104);
INSERT INTO `sys_role_menu` VALUES (2, 105);
INSERT INTO `sys_role_menu` VALUES (2, 106);
INSERT INTO `sys_role_menu` VALUES (2, 107);
INSERT INTO `sys_role_menu` VALUES (2, 108);
INSERT INTO `sys_role_menu` VALUES (2, 109);
INSERT INTO `sys_role_menu` VALUES (2, 110);
INSERT INTO `sys_role_menu` VALUES (2, 111);
INSERT INTO `sys_role_menu` VALUES (2, 112);
INSERT INTO `sys_role_menu` VALUES (2, 113);
INSERT INTO `sys_role_menu` VALUES (2, 114);
INSERT INTO `sys_role_menu` VALUES (2, 115);
INSERT INTO `sys_role_menu` VALUES (2, 116);
INSERT INTO `sys_role_menu` VALUES (2, 500);
INSERT INTO `sys_role_menu` VALUES (2, 501);
INSERT INTO `sys_role_menu` VALUES (2, 1000);
INSERT INTO `sys_role_menu` VALUES (2, 1001);
INSERT INTO `sys_role_menu` VALUES (2, 1002);
INSERT INTO `sys_role_menu` VALUES (2, 1003);
INSERT INTO `sys_role_menu` VALUES (2, 1004);
INSERT INTO `sys_role_menu` VALUES (2, 1005);
INSERT INTO `sys_role_menu` VALUES (2, 1006);
INSERT INTO `sys_role_menu` VALUES (2, 1007);
INSERT INTO `sys_role_menu` VALUES (2, 1008);
INSERT INTO `sys_role_menu` VALUES (2, 1009);
INSERT INTO `sys_role_menu` VALUES (2, 1010);
INSERT INTO `sys_role_menu` VALUES (2, 1011);
INSERT INTO `sys_role_menu` VALUES (2, 1012);
INSERT INTO `sys_role_menu` VALUES (2, 1013);
INSERT INTO `sys_role_menu` VALUES (2, 1014);
INSERT INTO `sys_role_menu` VALUES (2, 1015);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 1017);
INSERT INTO `sys_role_menu` VALUES (2, 1018);
INSERT INTO `sys_role_menu` VALUES (2, 1019);
INSERT INTO `sys_role_menu` VALUES (2, 1020);
INSERT INTO `sys_role_menu` VALUES (2, 1021);
INSERT INTO `sys_role_menu` VALUES (2, 1022);
INSERT INTO `sys_role_menu` VALUES (2, 1023);
INSERT INTO `sys_role_menu` VALUES (2, 1024);
INSERT INTO `sys_role_menu` VALUES (2, 1025);
INSERT INTO `sys_role_menu` VALUES (2, 1026);
INSERT INTO `sys_role_menu` VALUES (2, 1027);
INSERT INTO `sys_role_menu` VALUES (2, 1028);
INSERT INTO `sys_role_menu` VALUES (2, 1029);
INSERT INTO `sys_role_menu` VALUES (2, 1030);
INSERT INTO `sys_role_menu` VALUES (2, 1031);
INSERT INTO `sys_role_menu` VALUES (2, 1032);
INSERT INTO `sys_role_menu` VALUES (2, 1033);
INSERT INTO `sys_role_menu` VALUES (2, 1034);
INSERT INTO `sys_role_menu` VALUES (2, 1035);
INSERT INTO `sys_role_menu` VALUES (2, 1036);
INSERT INTO `sys_role_menu` VALUES (2, 1037);
INSERT INTO `sys_role_menu` VALUES (2, 1038);
INSERT INTO `sys_role_menu` VALUES (2, 1039);
INSERT INTO `sys_role_menu` VALUES (2, 1040);
INSERT INTO `sys_role_menu` VALUES (2, 1041);
INSERT INTO `sys_role_menu` VALUES (2, 1042);
INSERT INTO `sys_role_menu` VALUES (2, 1043);
INSERT INTO `sys_role_menu` VALUES (2, 1044);
INSERT INTO `sys_role_menu` VALUES (2, 1045);
INSERT INTO `sys_role_menu` VALUES (2, 1046);
INSERT INTO `sys_role_menu` VALUES (2, 1047);
INSERT INTO `sys_role_menu` VALUES (2, 1048);
INSERT INTO `sys_role_menu` VALUES (2, 1049);
INSERT INTO `sys_role_menu` VALUES (2, 1050);
INSERT INTO `sys_role_menu` VALUES (2, 1051);
INSERT INTO `sys_role_menu` VALUES (2, 1052);
INSERT INTO `sys_role_menu` VALUES (2, 1053);
INSERT INTO `sys_role_menu` VALUES (2, 1054);
INSERT INTO `sys_role_menu` VALUES (2, 1055);
INSERT INTO `sys_role_menu` VALUES (2, 1056);
INSERT INTO `sys_role_menu` VALUES (2, 1057);
INSERT INTO `sys_role_menu` VALUES (2, 1058);
INSERT INTO `sys_role_menu` VALUES (2, 1059);
INSERT INTO `sys_role_menu` VALUES (2, 1060);
INSERT INTO `sys_role_menu` VALUES (2, 1061);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `login_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL COMMENT '登录账号',
  `user_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户 01注册用户）',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '头像路径',
  `password` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '密码',
  `salt` varchar(20) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '盐加密',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `pwd_update_date` datetime NULL DEFAULT NULL COMMENT '密码最后更新时间',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '用户信息表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 103, 'admin', '若依', '00', 'ry@163.com', '15888888888', '1', '', '29c67a30398638269fe600f73a054934', '111111', '0', '0', '127.0.0.1', '2022-07-15 08:40:25', '2022-07-08 10:04:26', 'admin', '2022-07-08 10:04:26', '', '2022-07-15 08:40:25', '管理员');
INSERT INTO `sys_user` VALUES (2, 105, 'ry', '若依', '00', 'ry@qq.com', '15666666666', '1', '', '8e6d98b90472783cc73c17047ddccf36', '222222', '0', '0', '127.0.0.1', '2022-07-08 10:04:26', '2022-07-08 10:04:26', 'admin', '2022-07-08 10:04:26', '', NULL, '测试员');

-- ----------------------------
-- Table structure for sys_user_online
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_online`;
CREATE TABLE `sys_user_online`  (
  `sessionId` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL DEFAULT '' COMMENT '用户会话id',
  `login_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '登录账号',
  `dept_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '部门名称',
  `ipaddr` varchar(128) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` varchar(10) CHARACTER SET utf8 COLLATE utf8_czech_ci NULL DEFAULT '' COMMENT '在线状态on_line在线off_line离线',
  `start_timestamp` datetime NULL DEFAULT NULL COMMENT 'session创建时间',
  `last_access_time` datetime NULL DEFAULT NULL COMMENT 'session最后访问时间',
  `expire_time` int(5) NULL DEFAULT 0 COMMENT '超时时间，单位为分钟',
  PRIMARY KEY (`sessionId`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '在线用户记录' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_user_online
-- ----------------------------

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_czech_ci COMMENT = '用户和角色关联表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);

SET FOREIGN_KEY_CHECKS = 1;
